@echo off

: INPUT:    A  c:\windows\system\kbdru.kbd.w95

: OUTPUT:   B  c:\windows\system\kbdru.kbd
:           

: ACTION:   check if A exists, if not give error message
:           copy A over B

: NOTE:     This script assummes that windows is at the usual 
:           location on drive C

set A=c:\windows\system\kbdru.kbd.w95
set B=c:\windows\system\kbdru.kbd

: check if saved copy exists
if exist %A% goto :1

: fail, no backup file
echo Failed to restore the standard windows Russian keyboard.
echo The file: %A% is not present.
goto :2

:1
: restore over current file
copy /Y %A% %B% >> NUL:

: show completion
echo The standard windows Russian keyboard has been restored.
echo You need to restart windows to use the new keyboard.

: give the user a chance to read the messages, then exit
:2
pause
exit
